<?php
require_once ("VLSIuser.php");
session_start();
$jmsess="ulozADDNEWS";
$_SESSION[$jmsess]=true;
?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1250" />
        <title>Adding news</title>
        
 <script type="text/javascript">
function kontrola_formulare()
{
  var text_nazev = self.document.forms.addnews.nazev;

 if (text_nazev.value.length==0)
 {
 text_nazev.focus();
 alert("Musíte vyplnit Název.");
 return false;
 }
 if (text_nazev.value.length>320)
 {
 text_nazev.focus();
 alert("Název nesmí být delší jak 320 znaků.");
 return false;
 }


}
</script>
        
        
    </head>
    <body style="padding:20px;">
<h3 style="margin-left:50px;">Vkládání novinek</h3>
<?php echo "Jste Přihlášen jako: <b>".$user['fullname']."</b><br />";?>

<br /><br /><br />
<p style="width:400px;">Položky označené červenou hvězdičkou musí být vyplněny. Datum nesmí být staré. Nejbližší datum které bude akceptováno je zítřek. Můžete do textu zadávat odkazy.Budou automaticky rozpoznány. Tagy nebudou interpretovány.</p>

<?php
//zobrazeni chyb
if(isset($_GET['chybinazev']) && $_GET['chybinazev']==true){echo "<br /><b><font color=\"red\">Musíte vyplnít políčko název</font></b>";}
if(isset($_GET['nazevchyba'])&& $_GET['nazevchyba']==true){echo "<br /><b><font color=\"red\">Délka názvu přesahuje 320 znaků!</font></b>"; }
if(isset($_GET['datumchyba'])&& $_GET['datumchyba']==true){echo "<br /><b><font color=\"red\">Datum musí být mladší než je dnešní!</font></b>"; }
//inicializace formulare

//inicializace formulare
if (isset($_GET['nazev'])){
  if ($slashes==1){$nazev=htmlspecialchars(stripslashes($_GET['nazev']));}else
  {$nazev=htmlspecialchars($_GET['nazev']);}
} else{$nazev="";}

if (isset($_GET['popis'])){
  if ($slashes==1){$popis=htmlspecialchars(stripslashes($_GET['popis']));}else
  {$popis=htmlspecialchars($_GET['popis']);}
} else{$popis="";}

if (isset($_GET['to_day']) && (int)$_GET['to_day']>0 && (int)$_GET['to_day']<=31 ){
  $to_day=(int)$_GET['to_day'];
} else{$to_day=(int)date("d");}

if (isset($_GET['to_month']) && (int)$_GET['to_month']>0 && (int)$_GET['to_month']<=12 ){
  $to_month=(int)$_GET['to_month'];
} else{$to_month=(int)date("m");}

if (isset($_GET['to_year']) && ((int)$_GET['to_year']>=(int)date("Y")) && ((int)$_GET['to_year']<=(int)date("Y")+5) ){
  $to_year=(int)$_GET['to_year'];
} else{$to_year=(int)date("Y");}

//pokud je datum starší dosadí se zítřejší
if(Time()>MkTime(0,0,0,$to_month,$to_day,$to_year)) {
  $to_date = Date("Y-m-d", MkTime(0,0,0,date("m"),(date("d")+1),date("Y")));
  $to_date=explode("-",$to_date);
  $to_day=$to_date[2];
  $to_month=$to_date[1];
  $to_year=$to_date[0];
}
?>
<form  name="addnews" onsubmit="return kontrola_formulare();" action="insnews.php?<?php echo(SID); ?>" method="post">
<b>Název <font color="red">*</font></b><br /><textarea name="nazev" cols="40" rows="2"><?php echo $nazev;?></textarea><br />
<b>Popis </b><br /><textarea name="popis" cols="40" rows="4"><?php echo $popis;?></textarea><br /><br />
Platí do:	<select name="to_day" size="1" >
	<?
	//do - den
	for($i=1;$i<=31;$i++):
		echo "<option value=\"" . $i."\" ";
         if ($i==$to_day) {echo "selected=\"selected\"";}
        echo ">" . $i . "</option>\n";
	endfor;
	?>
	</select>
	.
	<select name="to_month" size="1" >
	<?
	//do - měsíc
    $month=Array(1=> "ledna", "února", "března", "dubna", "května", "června", "července", "srpna", "září", "října", "listopadu", "prosince");

    for($i=1;$i<=12;$i++):
		echo "<option value=\"" . $i."\" ";
        if ($i==$to_month) {echo "selected=\"selected\"";}
        echo " >" . $month[$i] . "</option>\n";
	endfor;
	?>
	</select>

	<select name="to_year" size="1" >
	<?
	//do - rok
	for($i=date("Y");$i<=(date("Y")+5);$i++):
		echo "<option value=\"" . $i."\" ";
        if ($i==$to_year) {echo "selected=\"selected\"";}
        echo " >" . $i . "</option>\n";
	endfor;
	?>
	</select>
    <br />  <br />
	<input type="submit" name="odeslane" value="Odeslat" /> <input type="reset" value="Reset" /></form>


 </body>
</html>
